Package com.sun.jna.platform.win32

# Class OaIdl.TYPEKIND

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.TYPEKIND

Direct Known Subclasses:
  `OaIdl.TYPEKIND.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder("value") public static class OaIdl.TYPEKIND extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.TYPEKIND.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TKIND_ALIAS`
  `static final int`
  `TKIND_COCLASS`
  `static final int`
  `TKIND_DISPATCH`
  `static final int`
  `TKIND_ENUM`
  `static final int`
  `TKIND_INTERFACE`
  `static final int`
  `TKIND_MAX`
  `static final int`
  `TKIND_MODULE`
  `static final int`
  `TKIND_RECORD`
  `static final int`
  `TKIND_UNION`
  `int`
  `value`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TYPEKIND()`
  `TYPEKIND(int value)`
  `TYPEKIND(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### value

    public int value

  - ### TKIND_ENUM

    public static final int TKIND_ENUM
    See Also:
      - Constant Field Values

  - ### TKIND_RECORD

    public static final int TKIND_RECORD
    See Also:
      - Constant Field Values

  - ### TKIND_MODULE

    public static final int TKIND_MODULE
    See Also:
      - Constant Field Values

  - ### TKIND_INTERFACE

    public static final int TKIND_INTERFACE
    See Also:
      - Constant Field Values

  - ### TKIND_DISPATCH

    public static final int TKIND_DISPATCH
    See Also:
      - Constant Field Values

  - ### TKIND_COCLASS

    public static final int TKIND_COCLASS
    See Also:
      - Constant Field Values

  - ### TKIND_ALIAS

    public static final int TKIND_ALIAS
    See Also:
      - Constant Field Values

  - ### TKIND_UNION

    public static final int TKIND_UNION
    See Also:
      - Constant Field Values

  - ### TKIND_MAX

    public static final int TKIND_MAX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TYPEKIND

    public TYPEKIND()

  - ### TYPEKIND

    public TYPEKIND(int value)

  - ### TYPEKIND

    public TYPEKIND(Pointer pointer)